package com.caliverse.admin.dynamodb.domain.atrrib;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@DynamoDbBean
public class MailItemAttrib {
    @JsonProperty("ItemId")
    private Integer itemId;
    @JsonProperty("Count")
    private Double count;
    @JsonProperty("ProductId")
    private Integer productId;
    @JsonProperty("isRepeatProduct")
    private String isRepeatProduct;

    @DynamoDbAttribute("ItemId")
    public Integer getItemId() {
        return itemId;
    }
    @DynamoDbAttribute("Count")
    public Double getCount() {
        return count;
    }
    @DynamoDbAttribute("ProductId")
    public Integer getProductId() {
        return productId;
    }
    @DynamoDbAttribute("bid_start_price")
    public String getBidStartPrice() {
        return isRepeatProduct;
    }
}